### Method

# AppStream SystemInfo get_os_cid

#### Declaration [src]

    const gchar*
    as_system_info_get_os_cid (
      AsSystemInfo* sysinfo
    )

#### Description [src]

Get the AppStream component ID of the current operating system.

#### Return value

Type: `const gchar*`

The component ID of the current OS.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.